Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client.domain
Class PropertyDefinition

    java.lang.Object
      org.modeshape.web.jcr.rest.client.domain.ItemDefinition
          org.modeshape.web.jcr.rest.client.domain.PropertyDefinition

All Implemented Interfaces:
  ItemDefinition, PropertyDefinition

    @Immutable
    public class PropertyDefinition

extends ItemDefinition
implements PropertyDefinition

An immutable representation of a JCR PropertyDefinition.

Nested Class Summary
`protected static class` | `PropertyDefinition.Id`
`protected class` | `PropertyDefinition.StringValue`

Constructor Summary
`PropertyDefinition(String declaringNodeTypeName, String name, int requiredType, boolean isAutoCreated, boolean isMandatory, boolean isProtected, boolean isFullTextSearchable, boolean isMultiple, boolean isQueryOrderable, int onParentVersion, List<String> defaultValues, List<String> valueConstraints, List<String> availableQueryOperations, Map<String,NodeType> nodeTypes)`

Method Summary
`boolean` | `equals(Object obj)`
`String[]` | `getAvailableQueryOperators()`
`Value[]` | `getDefaultValues()`
`String` | `getName()`
`int` | `getRequiredType()`
`String[]` | `getValueConstraints()`
`int` | `hashCode()`
`protected PropertyDefinition.Id` | `id()`
`boolean` | `isFullTextSearchable()`
`boolean` | `isMultiple()`
`boolean` | `isQueryOrderable()`
`static Calendar` | `parseDate(String dateString)`
`String` | `toString()`

Methods inherited from class org.modeshape.web.jcr.rest.client.domain.ItemDefinition
`getDeclaringNodeType, getDeclaringNodeTypeName, getOnParentVersion, isAutoCreated, isMandatory, isProtected, nodeType, nodeTypes, nodeTypes, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jcr.nodetype.ItemDefinition
`getDeclaringNodeType, getOnParentVersion, isAutoCreated, isMandatory, isProtected`

Constructor Detail

### PropertyDefinition

    public PropertyDefinition(String declaringNodeTypeName,
                              String name,
                              int requiredType,
                              boolean isAutoCreated,
                              boolean isMandatory,
                              boolean isProtected,
                              boolean isFullTextSearchable,
                              boolean isMultiple,
                              boolean isQueryOrderable,
                              int onParentVersion,
                              List<String> defaultValues,
                              List<String> valueConstraints,
                              List<String> availableQueryOperations,
                              Map<String,NodeType> nodeTypes)

Method Detail

### parseDate

    public static Calendar parseDate(String dateString)
                              throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### id

    protected PropertyDefinition.Id id()

  Returns:
    id

### getName

    public String getName()

  Specified by:
    `getName` in interface `ItemDefinition`
  See Also:
    `ItemDefinition.getName()`

### getAvailableQueryOperators

    public String[] getAvailableQueryOperators()

  Specified by:
    `getAvailableQueryOperators` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.getAvailableQueryOperators()`

### getDefaultValues

    public Value[] getDefaultValues()

  Specified by:
    `getDefaultValues` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.getDefaultValues()`

### getRequiredType

    public int getRequiredType()

  Specified by:
    `getRequiredType` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.getRequiredType()`

### getValueConstraints

    public String[] getValueConstraints()

  Specified by:
    `getValueConstraints` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.getValueConstraints()`

### isFullTextSearchable

    public boolean isFullTextSearchable()

  Specified by:
    `isFullTextSearchable` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.isFullTextSearchable()`

### isMultiple

    public boolean isMultiple()

  Specified by:
    `isMultiple` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.isMultiple()`

### isQueryOrderable

    public boolean isQueryOrderable()

  Specified by:
    `isQueryOrderable` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.isQueryOrderable()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.